From: Fu Wei <fu.wei(a)linaro.org>
- This adds support for the Xen boot on ARM specification for arm64.
- The implementation for Xen is following <Multiboot on ARM Specification>:
http://wiki.xen.org/wiki/Xen_ARM_with_Virtualization_Extensions/Multiboot
and xen/docs/misc/arm/device-tree/booting.txt in Xen source code.
- The multiboot/module commands have existed, so we use
xen_hypervisor/xen_module instead.
- This Xen boot support is built into linux module for aarch64,
and can not be used alone.
- Adding this functionality to the existing "linux" module is for
reusing the existing code of devicetree.
- Add the introduction of xen_hypervisor/xen_module commands in docs/grub.texi
- The example of this support is <How to boot Xen with GRUB on AArch64 the Foundation FVP model>
https://wiki.linaro.org/LEG/Engineering/Grub2/Xen_booting_on_Foundation_FVP…
Changelog:
v2: remove the patches which have been accepted.
according to Vladimir's suggestion, change the command manes
and relevant code:
multiboot-->xen_hypervisor
module-->xen_module
update docs/grub.texi patch for the new command names.
v1: The first version upstream patchset to grub-devel mailing list
Fu Wei (2):
arm64: Add Xen boot support file
arm64: Add the introduction of xen_hypervisor/xen_module command in
docs/grub.texi
docs/grub.texi | 24 ++
grub-core/Makefile.core.def | 1 +
grub-core/loader/arm64/linux.c | 6 +
grub-core/loader/arm64/xen_boot.c | 590 ++++++++++++++++++++++++++++++++++++++
include/grub/arm64/xen_boot.h | 115 ++++++++
5 files changed, 736 insertions(+)
create mode 100644 grub-core/loader/arm64/xen_boot.c
create mode 100644 include/grub/arm64/xen_boot.h
--
1.8.3.1
Hello UEFI builders!
I'd like your feedback on this patch.
I often look at boot logs from LAVA and other people and don't quite know
where the UEFI binary came from. With ones that I've provided, I can often
recognise the build date stamp. But at other times, I'm simply trying to
work out if someone is building the code they say they are, or some other
code.
As the commit message says, rather than leaving the version string blank,
my patch will append the git commit id of the current commit, with "dirty"
appended if the user is building with uncommited mods.
I considered including the code from linux scripts/setlocalversion, but
apart from giving me a "-" at the front, I thought it was overkill.
Comments?
Cheers,
Ryan.
--
>From af952a40005536215cedbbeea9102915e461486f Mon Sep 17 00:00:00 2001
From: Ryan Harkin <ryan.harkin(a)linaro.org>
Date: Tue, 30 Jun 2015 15:10:56 +0100
Subject: [PATCH] Use commit id as default FIRMWARE_VER
If a FIRMWARE_VER setting is not provided and we are building from a GIT
repo, provide a default value based on the SHA ID of the commit where we
built from.
If the repo has local uncommited changes, then we mark the version
string with "-dirty".
This is based loosely on the same idea from the linux kernel in:
scripts/setlocalversion
Signed-off-by: Ryan Harkin <ryan.harkin(a)linaro.org>
---
uefi-build.sh | 10 ++++++++++
1 file changed, 10 insertions(+)
diff --git a/uefi-build.sh b/uefi-build.sh
index 486cf86..60ea872 100755
--- a/uefi-build.sh
+++ b/uefi-build.sh
@@ -27,6 +27,16 @@ function build_platform
PLATFORM_DSC="`$TOOLS_DIR/parse-platforms.py $PLATFORM_CONFIG -p
$board get -o dsc`"
PLATFORM_ARCH="`$TOOLS_DIR/parse-platforms.py $PLATFORM_CONFIG -p
$board get -o arch`"
+ if [[ $PLATFORM_BUILDFLAGS != *"FIRMWARE_VER"* ]]; then
+ if test -d .git && head=`git rev-parse --verify --short HEAD
2>/dev/null`; then
+ FIRMWARE_VER=`git rev-parse --short HEAD`
+ if ! git diff-index --quiet HEAD --; then
+ FIRMWARE_VER="${FIRMWARE_VER}-dirty"
+ fi
+ PLATFORM_BUILDFLAGS="$PLATFORM_BUILDFLAGS -D
FIRMWARE_VER=$FIRMWARE_VER"
+ fi
+ fi
+
set_cross_compile
CROSS_COMPILE="$TEMP_CROSS_COMPILE"
--
2.1.0
I'm seeing some strange behavior when using the "-serial
telnet:localhost:5000,server" option for
serial output on qemu. I've been been using this for quite some time
without problem, but recently I have been seeing a complete lack of
output in about 1 in 5 times. At first I thought that it was just
hung, but from looking at it with gdb it appears to be booting all the
way to the shell. (I get the same backtrace with or without output.)
I've tried a couple of different versions of qemu (2.2 and 2.3), and
various versions of EDK2 and see the same behavior.
Has anyone else seen something like this?
Roy
[+Olivier at his proper email address]
[+ linaro-uefi mailing list]
On 18 June 2015 at 18:46, Ryan Harkin <ryan.harkin(a)linaro.org> wrote:
> TC2 no longer boots for me with this patch. If I revert it, it instead
> crashes like this:
>
> add-symbol-file
> /linaro/working/edk2.git/Build/ArmVExpress-CTA15-A7/DEBUG_GCC49/ARM/EmbeddedPkg/Drivers/FdtPlatformDxe/FdtPlatformDxe/DEBUG/FdtPlatformDxe.dll
> 0xBA835240
> Loading driver at 0x000BA835000 EntryPoint=0x000BA835271 FdtPlatformDxe.efi
> InstallFdt() - loaded FDT binary image seems corrupt
> ASSERT /linaro/working/edk2.git/MdeModulePkg/Core/Dxe/Mem/Page.c(722):
> NumberOfPages
>
> I'm building pure tianocore EDK2 from this commit:
>
> cc63add 2015-06-17 MdeModulePkg:System hangs in setup menu [Dandan Bi]
>
> ... with the patch from this thread reverted.
>
>
> On 26 August 2014 at 11:16, <oliviermartin(a)users.sourceforge.net> wrote:
>
>> Revision: 15903
>> http://sourceforge.net/p/edk2/code/15903
>> Author: oliviermartin
>> Date: 2014-08-26 10:16:16 +0000 (Tue, 26 Aug 2014)
>> Log Message:
>> -----------
>> ArmPkg/ArmArchTimerLib: Remove non required [depex] and IoLib
>>
>> Contributed-under: TianoCore Contribution Agreement 1.0
>> Signed-off-by: Olivier Martin <olivier.martin(a)arm.com>
>>
>> Modified Paths:
>> --------------
>> trunk/edk2/ArmPkg/Library/ArmArchTimerLib/ArmArchTimerLib.inf
>>
>> Modified: trunk/edk2/ArmPkg/Library/ArmArchTimerLib/ArmArchTimerLib.inf
>> ===================================================================
>> --- trunk/edk2/ArmPkg/Library/ArmArchTimerLib/ArmArchTimerLib.inf
>> 2014-08-26 10:15:21 UTC (rev 15902)
>> +++ trunk/edk2/ArmPkg/Library/ArmArchTimerLib/ArmArchTimerLib.inf
>> 2014-08-26 10:16:16 UTC (rev 15903)
>> @@ -1,6 +1,6 @@
>> #/** @file
>> #
>> -# Copyright (c) 2011-2012, ARM Limited. All rights reserved.<BR>
>> +# Copyright (c) 2011 - 2014, ARM Limited. All rights reserved.<BR>
>> # This program and the accompanying materials
>> # are licensed and made available under the terms and conditions of the
>> BSD License
>> # which accompanies this distribution. The full text of the license
>> may be found at
>> @@ -28,19 +28,10 @@
>> EmbeddedPkg/EmbeddedPkg.dec
>> ArmPkg/ArmPkg.dec
>>
>> -
>> [LibraryClasses]
>> DebugLib
>> - IoLib
>> ArmLib
>> BaseLib
>>
>> -[Protocols]
>> -
>> -[Guids]
>> -
>> [Pcd]
>> gArmTokenSpaceGuid.PcdArmArchTimerFreqInHz
>> -
>> -[Depex]
>> - gEfiCpuArchProtocolGuid
>>
>> This was sent by the SourceForge.net collaborative development platform,
>> the world's largest Open Source development site.
>>
>>
>>
>> ------------------------------------------------------------------------------
>> Slashdot TV.
>> Video for Nerds. Stuff that matters.
>> http://tv.slashdot.org/
>> _______________________________________________
>> edk2-commits mailing list
>> edk2-commits(a)lists.sourceforge.net
>> https://lists.sourceforge.net/lists/listinfo/edk2-commits
>>
>
>
Hi all,
I'm looking for a JTAG debugger that working in native linux
environment. Do you know which one could support source code debugging
on both Arm Trust Firmware and UEFI?
Best Regards
Haojian
Hi Fathi,
As we discussed yesterday, you mentioned that both "FDT support" and
"Initrd support" should not be included in default boot args.
But the problem is at here. https://github.com/96boards/bugs/issues/40
Fathi & Leif,
Since PcdDefaultBootType is set to 0 by default, the kernel image is
recognized as an EFI application. So we can't set any FDT path and
Initrd path when it creates the default boot entry in UEFI. And we also
can't set them even when we create a new boot entry from the boot image.
We have to specify them in boot args.
So I want to know what's the expected behavior in UEFI. Do we need to
enhance the Bds to find FDT path & Initrd path even the kernel is
recognized as an EFI application?
Best Regards
Haojian
From: Fu Wei <fu.wei(a)linaro.org>
This patchset update gtdt.asl for VExpress/AcpiTables/rtsm_ve-aemv8a
(1)Fix "Platform Timer Offset" value bug
(2)Add Memory-mapped GT and SBSA Generic Watchdog timer info
base on Foundation Model
Changelog:
v2: Add "ontributed-under: TianoCore Contribution Agreement 1.0"
for all patch
Add an explanation for the fix of "Platform Timer Offset"
value bug in the commit message.
v1: The first version upstream patchset to linaro mailing listf
for OpenPlatformPkg
Fu Wei (2):
Platforms/ARM: Fix "Platform Timer Offset" value bug in gtdt.asl
Platforms/ARM: update gtdt.asl for VExpress
.../VExpress/AcpiTables/rtsm_ve-aemv8a/gtdt.asl | 67 +++++++++++++++++-----
1 file changed, 53 insertions(+), 14 deletions(-)
--
1.9.1
This patchset is a follow on to my previous
backspace patchse, and adds a new terminal type "LinuxTerm"
(for lack of a better name) that better handles
the typical Linux terminal (xterm/rxvt/gnome terminal/etc.)
These often treat backspace/delete differently than the
existing EDK2 terminal types expect, particularly in emulated
environments where the emulated serial port is connected
to a graphical terminal rather than a serial console.
For a description of how Debian has dealt with the terminal
backspace/delete/^H mess, see the "Keyboard configuration"
section of:
https://www.debian.org/doc/debian-policy/ch-opersys.html#s9.8">KeyboardConfiguration
I do not think that all Linux distributions agree on all the details,
so my goal is to have a terminal defition that mostly works
in many configurations.
Backspace being broken in these environments is the primary
motivation for this, but this terminal type could be exentend
to better support the typical graphical terminal now in use.
This terminal type may be of use in BSD environments as well,
so I'm open to more generic name suggestions. I deliberately
avoided calling it "xterm", as my intention is to try to work
with multiple terminal types to the degree possible.
Roy Franz (4):
Add "LinuxTerm" terminal type to TerminalDxe
Treat ASCII 0x7F as backspace for LinuxTerm terminal
accept [3~ as delete for LinuxTerm terminals
Change QEMU terminal type to LinuxTerm
.../ArmVirtualizationPkg/ArmVirtualizationQemu.dsc | 4 +-
BaseTools/Source/C/Include/Guid/PcAnsi.h | 6 +++
.../Foundation/Efi/Guid/PcAnsi/PcAnsi.c | 2 +
.../Foundation/Efi/Guid/PcAnsi/PcAnsi.h | 6 +++
.../Universal/BdsDxe/BootMaint/BootMaint.h | 2 +-
.../Universal/BdsDxe/BootMaint/Data.c | 5 ++-
.../Universal/Console/TerminalDxe/Terminal.c | 44 ++++++++++++++++----
.../Universal/Console/TerminalDxe/Terminal.h | 2 +
.../Universal/Console/TerminalDxe/TerminalConIn.c | 47 ++++++++++++++++++++--
.../Universal/Console/TerminalDxe/TerminalConOut.c | 2 +
.../Universal/Console/TerminalDxe/TerminalDxe.inf | 1 +
MdePkg/Include/Guid/PcAnsi.h | 6 +++
MdePkg/Include/Protocol/DevicePath.h | 1 +
.../Library/UefiDevicePathLib/DevicePathFromText.c | 27 +++++++++++++
.../Library/UefiDevicePathLib/DevicePathToText.c | 3 ++
.../UefiDevicePathLib/UefiDevicePathLib.inf | 2 +
...UefiDevicePathLibOptionalDevicePathProtocol.inf | 4 +-
MdePkg/MdePkg.dec | 3 ++
.../UefiHandleParsingLib/UefiHandleParsingLib.c | 1 +
.../UefiHandleParsingLib/UefiHandleParsingLib.inf | 1 +
20 files changed, 153 insertions(+), 16 deletions(-)
--
1.9.1